#Все тоже самое, что и в предыдущем задании, только добавляется третья точка
#По трем точкам прорамма расчитывает расстояния между точками (стороны треугольника),
#периметр и площадь

import math
#input("Введите координаты первой точки (для продолжения нажмите Enter):")
x1 = float(input("x1="))
y1 = float(input("y1="))

#input("Введите координаты втрой точки (для продолжения нажмите Enter):")
x2 = float(input("x2="))
y2 = float(input("y2="))

#input("Введите координаты третьей точки (для продолжения нажмите Enter):")
x3 = float(input("x3="))
y3 = float(input("y3="))

#Теперь внутрикомпьютерные рассчеты:
AB = math.sqrt( ((x1-x2)**2) + ((y1-y2)**2) )       #Вычисляем длинну стороны АВ треугольника
AB = round(AB, 3)                                   #Округляем полученное значение до 3 знаков после запятой

BC = math.sqrt( ((x2-x3)**2) + ((y2-y3)**2) )       #Вычисляем длинну стороны BC треугольника
BC = round(BC, 3)                                   #Округляем полученное значение до 3 знаков после запятой

AC = math.sqrt( ((x1-x3)**2) + ((y1-y3)**2) )       #Вычисляем длинну стороны AC треугольника
AC = round(AC, 3)                                   #Округляем полученное значение до 3 знаков после запятой

P = AB + BC + AC                                    #Вычисляем периметр
P = round(P, 1)

p = P/2                                             #Вычисляем площадь
S = math.sqrt(p*(p-AB)*(p-BC)*(p-AC))
S = round(S, 3)

print("AB= : " + str(AB))
print("BC= : " + str(BC))
print("AC= : " + str(AC))
print("P=  : " + str(P ))
print("S=  : " + str(S ))